Package com.typesafe.config

# Enum ConfigValueType

java.lang.Object
java.lang.Enum<ConfigValueType>
com.typesafe.config.ConfigValueType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigValueType>`, `java.lang.constant.Constable`

public enum ConfigValueType extends Enum<ConfigValueType>
The type of a configuration value (following the JSON type schema).

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`LIST`
`NULL`
`NUMBER`
`OBJECT`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static ConfigValueType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConfigValueType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OBJECT

public static final ConfigValueType OBJECT

### LIST

public static final ConfigValueType LIST

### NUMBER

public static final ConfigValueType NUMBER

### BOOLEAN

public static final ConfigValueType BOOLEAN

### NULL

public static final ConfigValueType NULL

### STRING

public static final ConfigValueType STRING

## Method Details

### values

public static ConfigValueType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ConfigValueType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null